
;;; ============================================================================
;;; ---------------- ACT: ꉹ̐ݒ
;;; ============================================================================

SendACT_Vowel(Dvorak_key,Prior_Dvorak_key)
{
	global Is_PriorHotkey_consonant
	global Is_Priorkey_syouryaku
	global Is_Priorkey_youon
	global Dvorak_Layout



	if Is_Priorkey_syouryaku = 1 ; Fꉹ{uvuvuvuv̏ȗł
	{
		if Dvorak_Layout = 1
		{
			if Dvorak_key = `;
				Dvorak_key := "aku"
			else
			if Dvorak_key = '
				Dvorak_key := "axtu"
		}
		else
		{
			if Dvorak_key = '
				Dvorak_key := "aku"
			else
			if Dvorak_key = `;
				Dvorak_key := "axtu"
		}


		if Dvorak_key = ,
			Dvorak_key := "oku"
		else
		if Dvorak_key = .
			Dvorak_key := "eki"
		else
		if Dvorak_key = p
			Dvorak_key := "uku"
		else
		if Dvorak_key = y
			Dvorak_key := "iku"
		else
		if Dvorak_key = a
			Dvorak_key := "atu"
		else
		if Dvorak_key = o
			Dvorak_key := "otu"
		else
		if Dvorak_key = e
			Dvorak_key := "etu"
		else
		if Dvorak_key = u
			Dvorak_key := "utu"
		else
		if Dvorak_key = i
			Dvorak_key := "itu"
		else
		if Dvorak_key = q
			Dvorak_key := "oxtu"
		else
		if Dvorak_key = j
			Dvorak_key := "extu"
		else
		if Dvorak_key = k
			Dvorak_key := "uxtu"
		else
		if Dvorak_key = x
			Dvorak_key := "ixtu"
	}
	else
	{
		if Is_PriorHotkey_consonant = 0 ;; F{Iȑł
		{
			if Dvorak_Layout = 1
			{
				if Dvorak_key = `;
					Dvorak_key := "xtu"
			}
			else
			{
				if Dvorak_key = '
					Dvorak_key := "xtu"
			}

		}
		else ;; F2dꉹg
		{
			if Dvorak_Layout = 1
			{
				if Dvorak_key = `;
					Dvorak_key := "ai"
			}
			else
			{
				if Dvorak_key = '
					Dvorak_key := "ai"
			}



			if Dvorak_key = ,
			{
				if Prior_Dvorak_key = f
					Dvorak_key := "o-"
				else
				if Prior_Dvorak_key = w
					Dvorak_key := "{BS}uxo-"
				else
				if Prior_Dvorak_key = v
					Dvorak_key := "o-"
				else
					Dvorak_key := "ou"
			}
			else
			if Dvorak_key = .
				Dvorak_key := "ei"
			else
			if Dvorak_key = p
			{
				if Prior_Dvorak_key = w
					Dvorak_key := "{BS}uxu"
				else
					Dvorak_key := "uu"
			}
			else
			if Dvorak_key = y
				Dvorak_key := "ui"
		}


		;; Fg
		if Dvorak_Layout = 1
		{
			if Dvorak_key = '
				Dvorak_key := "ann"
		}
		else
		{
			if Dvorak_key = `;
				Dvorak_key := "ann"
		}

		if Dvorak_key = q
		{
			if Prior_Dvorak_key = w
				Dvorak_key := "{BS}uxonn"
			else
				Dvorak_key := "onn"
		}
		else
		if Dvorak_key = j
			Dvorak_key := "enn"
		else
		if Dvorak_key = k
			Dvorak_key := "unn"
		else
		if Dvorak_key = x
			Dvorak_key := "inn"
	}


	ResetKeyChecking()


	if Dvorak_key = p
	{
		Is_PriorHotkey_consonant := 1
		Is_Priorkey_youon := 1
	}
	if Dvorak_key = y
	{
		Is_PriorHotkey_consonant := 1
	}


	Send,%Dvorak_key%

	return
}


;;; ============================================================================
;;; ---------------- ACT: q̐ݒ
;;; ============================================================================



SendACT_Consonant(Dvorak_key,Prior_Dvorak_key)
{
	global Is_PriorHotkey_consonant
	global Is_Priorkey_youon
	global Is_Priorkey_syouryaku
	global Is_Priorkey_sn



	;; g sn
	if Is_Priorkey_sn = 1
	{
		ResetKeyChecking()

		if Dvorak_key = t
			Dvorak_key := "{BS 2}sinakute"
		if Dvorak_key = b
			Dvorak_key := "{BS 2}sinakereba"
		if Dvorak_key = m
			Dvorak_key := "{BS 2}sinakutemo"
		if Dvorak_key = w
			Dvorak_key := "{BS 2}sinakuteha"
	}



	if Is_PriorHotkey_consonant = 0
		Is_PriorHotkey_consonant+=1
	else
	if Is_PriorHotkey_consonant = 1
	{
		Is_PriorHotkey_consonant+=1


		if Dvorak_key = g
		{
			if Prior_Dvorak_key in c,r
			{
				Dvorak_key := "y"
				Is_Priorkey_youon := 1
			}
			else
			if Prior_Dvorak_key = y
			{
				Dvorak_key := "uu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = f
			{
				Dvorak_key := "uru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "aga"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = h
			{
				Dvorak_key := "uru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "osite"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = s
			{
				Dvorak_key := "are"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = p
			{
				Dvorak_key := "uru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = h
		{
			if Prior_Dvorak_key in t,n,s
			{
				Dvorak_key := "y"
				Is_Priorkey_youon := 1

			}
			else ; FX̑ł(s{)
			if Prior_Dvorak_key = h
				Dvorak_key := "ul"
			else ; FX̑ł(s{Ⴁゥ)
			if Prior_Dvorak_key = d
				Dvorak_key := "el"
			else
			if Prior_Dvorak_key in p,y
			{
				Dvorak_key := "u"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else ; g
			if Prior_Dvorak_key = h
			{
				Dvorak_key := "ito"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = b
			{
				Dvorak_key := "utu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = m
		{
			;; X̑ł({)
			if Prior_Dvorak_key = z ; zm
			{
				Dvorak_key := "y"
				Is_Priorkey_youon := 1
			}
			;; X̑ł(O)
			if Prior_Dvorak_key = w ; wm
			{
				Dvorak_key := "ux"
				Is_Priorkey_youon := 1
			}

			if Prior_Dvorak_key = y
			{
				Dvorak_key := "unn"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = p
			{
				Dvorak_key := "unn"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = f
			{
				Dvorak_key := "umu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "emo"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "ame"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "akutemo"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = s
			{
				Dvorak_key := "imo"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "{BS}omo"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = v
			{
				Dvorak_key := "{BS}kotona"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = r
		{
			if Prior_Dvorak_key in p,g
			{
				Dvorak_key := "y"
				Is_Priorkey_youon := 1

			}
			else
			if Prior_Dvorak_key = y
			{
				Dvorak_key := "oru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else ; g
			if Prior_Dvorak_key = f
			{
				Dvorak_key := "uru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = c
			{
				Dvorak_key := "ara"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = r
			{
				Dvorak_key := "are"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "earu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = h
			{
				Dvorak_key := "itori"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "okoro"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "aru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = s
			{
				Dvorak_key := "uru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = b
			{
				Dvorak_key := "ara"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "aru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = w
			{
				Dvorak_key := "are"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = z
			{
				Dvorak_key := "aru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = p
			{
				Dvorak_key := "uro"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = n
		{
			if Prior_Dvorak_key in p,d,h
			{
				Dvorak_key := "y"
				Is_Priorkey_youon := 1

			}


			;; FX̑ł(s{Ⴁゥ)
			if Prior_Dvorak_key = t
				Dvorak_key := "el"


			if Prior_Dvorak_key = y
			{
				Dvorak_key := "oku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = f
			{
				Dvorak_key := "ann"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = g
			{
				Dvorak_key := "oku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = c
			{
				Dvorak_key := "oku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = r
			{
				Dvorak_key := "ann"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "ono"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "n"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "ono"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = w
			{
				Dvorak_key := "areware"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = z
			{
				Dvorak_key := "oku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}

			;; g sn
			if Prior_Dvorak_key = s
				Is_Priorkey_sn := 1
			else
				Is_Priorkey_sn := 0

		}
		else
		if Dvorak_key = v
		{
			if Prior_Dvorak_key in b,m
			{
				Dvorak_key := "y"
				Is_Priorkey_youon := 1
			}

			;; FX̑ł(s{)
			if Prior_Dvorak_key = w
				Dvorak_key := "ux"


			if Prior_Dvorak_key = y
			{
				Dvorak_key := "onn"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = p
			{
				Dvorak_key := "onn"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "oki"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = v
			{
				Dvorak_key := "{BS}onazi"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = c
		{
			if Prior_Dvorak_key in p,f,g,c,r
			{
				Dvorak_key := "yuu"
				Is_PriorHotkey_consonant :=0
			}

			if Prior_Dvorak_key = f
				Dvorak_key := "yu-"


			if Prior_Dvorak_key = y
			{
				Dvorak_key := "iu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "eki"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = h
			{
				Dvorak_key := "yuu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "suite"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "ituite"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = s
			{
				Dvorak_key := "ita"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = b
			{
				Dvorak_key := "yuu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "yu-"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = z
			{
				Dvorak_key := "yuu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = l
		{
			if Prior_Dvorak_key in p,f,g,c,r
			{
				Dvorak_key := "you"
				Is_PriorHotkey_consonant :=0
			}

			if Prior_Dvorak_key = f
				Dvorak_key := "o-"

			if Prior_Dvorak_key = y
			{
				Dvorak_key := "aru"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "esyou"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = h
			{
				Dvorak_key := "you"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "oku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "atta"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = b
			{
				Dvorak_key := "you"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "you"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = t
		{

			if Prior_Dvorak_key in d,h,t,n,s
			{
				Dvorak_key := "yuu"
				Is_PriorHotkey_consonant :=0
			}


			if Prior_Dvorak_key = p
			{
				Dvorak_key := "e"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = y
			{
				Dvorak_key := "otte"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = g
			{
				Dvorak_key := "oto"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = c
			{
				Dvorak_key := "oto"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "ati"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = b
			{
				Dvorak_key := "etu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "ata"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = w
			{
				Dvorak_key := "atashi"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = z
			{
				Dvorak_key := "utu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = s
		{
			if Prior_Dvorak_key in d,h,t,n,s
			{
				Dvorak_key := "you"
				Is_PriorHotkey_consonant :=0
			}

			if Prior_Dvorak_key = p
			{
				Dvorak_key := "a"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = y
			{
				Dvorak_key := "aku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = g
			{
				Dvorak_key := "aku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = c
			{
				Dvorak_key := "aku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "esu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "asu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = z
			{
				Dvorak_key := "aku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = w
		{
			if Prior_Dvorak_key in b,m,z
			{
				Dvorak_key := "yuu"
				Is_PriorHotkey_consonant :=0
			}


			if Prior_Dvorak_key = m
				Dvorak_key := "yu-"
			else
			if Prior_Dvorak_key = v
				Dvorak_key := "uxyu-"

			if Prior_Dvorak_key = p
			{
				Dvorak_key := "enn"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}

			if Prior_Dvorak_key = y
			{
				Dvorak_key := "iware"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; X̑ł(O)
			if Prior_Dvorak_key = t ; tw
			{
				Dvorak_key := "ex"
				Is_Priorkey_youon = 1
			}


			;; g
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "akuteha"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = z
		{
			if Prior_Dvorak_key in b,m,z
			{
				Dvorak_key := "you"
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = w
				Dvorak_key := "uxo-"
			else
			if Prior_Dvorak_key = v
				Dvorak_key := "o-"
			else
			if Prior_Dvorak_key = y
			{
				Dvorak_key := "ann"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			else
			if Prior_Dvorak_key = p
			{
				Dvorak_key := "ann"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}



			;; g
			if Prior_Dvorak_key = h
			{
				Dvorak_key := "izyou"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "eki"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "aku"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = s
			{
				Dvorak_key := "orezore"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = f
		{
			if Prior_Dvorak_key in g,c,r
			{
				Dvorak_key = 
				Is_Priorkey_syouryaku := 1
			}



			if Prior_Dvorak_key = y
			{
				Dvorak_key := "ori"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}




			;; g
			if Prior_Dvorak_key = f
			{
				Dvorak_key := "uri"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "ori"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "ari"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = s
			{
				Dvorak_key := "ari"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = p
			{
				Dvorak_key := "uri"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = d
		{
			if Prior_Dvorak_key in h,t,n,s
			{
				Dvorak_key = 
				Is_Priorkey_syouryaku := 1
			}

			if Prior_Dvorak_key = p
			{
				Dvorak_key := "i"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}

			if Prior_Dvorak_key = y
			{
				Dvorak_key := "oi"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = c
			{
				Dvorak_key := "ata"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = d
			{
				Dvorak_key := "{BS}node"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = h
			{
				Dvorak_key := "odo"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "oiu"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "ado"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = s
			{
				Dvorak_key := "are"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = m
			{
				Dvorak_key := "ade"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
		}
		else
		if Dvorak_key = b
		{
			if Prior_Dvorak_key in m,w,v,z
			{
				Dvorak_key = 
				Is_Priorkey_syouryaku := 1
			}


			if Prior_Dvorak_key = p
			{
				Dvorak_key := "inn"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}

			if Prior_Dvorak_key = y
			{
				Dvorak_key := "ubi"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}


			;; g
			if Prior_Dvorak_key = c
			{
				Dvorak_key := "anngae"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = t
			{
				Dvorak_key := "abi"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}
			if Prior_Dvorak_key = n
			{
				Dvorak_key := "akereba"
				Is_Priorkey_youon := 0
				Is_PriorHotkey_consonant :=0
			}

		}
	}
	else
	if (Is_PriorHotkey_consonant = 2 and Is_Priorkey_youon = 1)
	{
		if Dvorak_key = g
		{
			Dvorak_key := "uku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = h
		{
			Dvorak_key := "uku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = m
		{
			Dvorak_key := "uku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = r
		{
			Dvorak_key := "oku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = n
		{
			Dvorak_key := "oku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = v
		{
			Dvorak_key := "oku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = l
		{
			Dvorak_key := "aku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = s
		{
			Dvorak_key := "aku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = z
		{
			Dvorak_key := "aku"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = c
		{
			Dvorak_key := "utu"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = t
		{
			Dvorak_key := "utu"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
		else
		if Dvorak_key = w
		{
			Dvorak_key := "utu"
			Is_Priorkey_youon := 0
			Is_PriorHotkey_consonant :=0
		}
	}


	;; c -> k
	if Dvorak_key = c
		Dvorak_key := "k"




	Send,%Dvorak_key%

	return
}

